:host {
    display: inline-block;
    width: 100%;
}

:host:not(.file-input-disabled) {
    cursor: pointer;
}

.filename {
    display: inline-block;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    line-height: 18px;
    vertical-align: bottom;
}

.file-input-floating {
    opacity: 1;
}